> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhooks

> List all webhooks



## OpenAPI

````yaml openapi.json get /webhooks
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 0.213.0
servers:
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v0
  - description: Production
    url: https://api.synctera.com/v0
security:
  - bearerAuth: []
tags:
  - description: Lookup merchant information
    name: Merchants
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Account programs define configurations for payment rails and transaction
      capabilities across different account types.
    name: Account Programs
  - description: Simulate receiving ACH transactions and returns
    name: ACH Transaction Simulations
  - description: Requests for risk evaluation and decisioning
    name: Risk Evaluations
  - description: Requests to link and manage External Cards
    name: External Cards
  - description: |
      The disclosures resource is used to track the status of disclosures and
      ensure that all parties have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures
  - description: Create and manage Cash Order and Cash Deposit transfers
    name: Cash Orders and Deposits (alpha)
  - description: Requests to initiate customer verification.
    name: KYC Verification (deprecated)
  - description: Request to create and manage users
    name: Users
  - description: See balance history
    name: BalanceHistory
  - description: >-
      Migration mappings associate resources from an old tenant identity with a
      new tenant identity.
    name: Migration Mappings
  - description: |
      The External Account resource is used for managing links to accounts
      that operate outside of the Synctera ecosystem.
    name: External Accounts
  - description: Requests to create and manage account products, including fees, interest.
    name: Account Products
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Create and manage documents.
    name: Documents
  - description: >-
      Create and manage same currency and multi-currency international wire
      transfers
    name: International Wires (alpha)
  - description: Requests for transaction risk detection
    name: Transaction risk
  - description: >-
      Used to configure bank accounts for which synctera accounts are considered
      a "subledger" to
    name: Bank Account
  - description: Request to create and manage party groups and party group members
    name: Party Groups
  - description: Requests to manage addresses
    name: Addresses
  - description: Requests to manage monitoring subscriptions and alerts for customers.
    name: Monitoring
  - description: Requests to search and manage compliance searches
    name: Compliance Searches
  - description: Requests to create and manage customers
    name: Customers
  - description: |
      The internal account resource is used for managing links to internal
      accounts where the funds are managed by integrators.
    name: Internal Accounts
  - description: Create and manage spending controls
    name: Spend Controls
  - description: Retrieve user identity information
    name: Identity
  - description: Requests to manage banks
    name: Banks
  - description: |
      The Disclosures resource is used to track the status of disclosures and
      ensure that customers have been shown the necessary disclosures to meet
      regulatory obligations.
    name: Disclosures (deprecated)
  - description: Create and manage wire transfers
    name: Wires
  - description: Requests to issue and manage Cards
    name: Cards
  - description: Request to create and manage edd
    name: Trust
  - description: Request to enroll, renew, or cancel watchlist monitors
    name: Watchlist (deprecated)
  - description: Endpoints for modifying or fetching posting dates
    name: Posting Dates
  - description: Transaction lines API
    name: transactions
  - description: Request to create and manage accounts
    name: Accounts
  - description: Requests to create and manage notes
    name: Notes
  - description: Account Template
    name: Account Templates
  - description: API for effective balances
    name: effective_balances
  - description: Requests to create and manage personal ID configurations
    name: Personal ID Configuration
  - description: >
      A natural person (individual human) that is relevant to the Synctera
      platform in some way: e.g. a personal customer or a director/officer/owner
      of a business.
    name: Persons
  - description: >
      Represents the relationships between parties. A relationship can exist
      between personal customers, business customers, or non-customer
      persons/organizations.
    name: Relationships
  - description: >
      A legal entity (corporation, partnership, etc.) that is relevant to the
      Synctera platform in some way: a business customer or some other
      organization that has an ownership share in such a business customer.
    name: Businesses
  - description: Request to create and manage payment_schedules
    name: Cronut
  - description: Requests to manage partners
    name: Partners
  - description: Request to create and manage deposits using remote deposit capture
    name: Remote Check Deposit
  - description: Requests to create and manage API keys
    name: API Keys
  - description: Requests to create and manage ban rules
    name: Ban Rules
  - description: Admin API for Middesk configuration using the tenants API keys.
    name: Middesk
  - description: Request to create and manage exclusions
    name: Stately
  - description: Request to create and manage partner configurations
    name: Quickstart
  - description: Manage contacts for bank and fintech partners
    name: Contacts
  - description: Create and manage transactions
    name: Transactions
  - description: Request to create and manage rdc configurations
    name: RDC Config
  - description: Create and manage holds
    name: Hold
  - description: Requests to create and manage roles
    name: Roles
  - description: Simulate receiving Wire transactions and returns
    name: Wire Transaction Simulations
  - description: Requests to create licenses
    name: Licenses
  - description: Requests to Admins to grant permissions to user
    name: Request Permissions
  - description: Configure vendor secrets for egress requests
    name: Egress Gateway Vendor Secret CRUD API
  - description: Requests to screen parties against sanctions watchlists
    name: Sanctions Screening
  - description: Create and manage payments
    name: ACH
  - description: Requests to calculate and manage CRR
    name: CRR
  - description: Requests to search financial institutions
    name: Institutions (Beta)
  - description: Create and manage tenant configurations
    name: Tenant Configs
  - description: Create and manage sweep configurations
    name: Configs
  - description: >
      Represents the compliance rules that are used to verify certain kinds of
      money movement.
    name: Compliance Rules
  - description: Configure webhook secrets for egress requests
    name: Egress Gateway Webhook Secret CRUD API
  - description: Create and manage transactions
    name: Transactions (internal)
  - description: History
    name: History
  - description: Create and manage EFT Canada transfers
    name: EFT Canada (Beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Requests to initiate customer verification.
    name: KYC/KYB Verifications
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: List webhooks
      description: List all webhooks
      operationId: listWebhooks
      parameters:
        - $ref: '#/components/parameters/page_token'
        - in: query
          name: is_enabled_only
          schema:
            type: boolean
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/webhook_list'
          description: List of webhooks
        '401':
          $ref: '#/components/responses/unauthorized'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
  schemas:
    webhook_list:
      allOf:
        - properties:
            webhooks:
              description: Array of webhooks
              items:
                $ref: '#/components/schemas/webhook'
              type: array
          required:
            - webhooks
          type: object
        - $ref: '#/components/schemas/paginated_response'
    webhook:
      description: Webhook object
      properties:
        description:
          description: A description of what the webhook is used for
          type: string
        enabled_events:
          description: >-
            A list of the events that will trigger the webhook. Subscribing to a
            wildcard event, e.g. ACCOUNT.*, will send all webhooks for all
            events that match that pattern. Note that this can include new event
            types added after the subscription was created.
          items:
            $ref: '#/components/schemas/event_type'
          type: array
        id:
          description: The unique ID of the webhook
          format: uuid
          readOnly: true
          type: string
        is_enabled:
          description: Set the webhook to be enabled or disabled
          type: boolean
        last_updated:
          description: >-
            Timestamp that this webhook was created or the last time any field
            was changed
          format: date-time
          readOnly: true
          type: string
        metadata:
          description: Additional information stored to the webhook
          maxLength: 1024
          type: string
        tenant:
          $ref: '#/components/schemas/tenant_id'
        url:
          description: URL that the webhook will send request to
          format: uri
          maxLength: 1000
          type: string
      required:
        - enabled_events
        - is_enabled
        - url
      title: Webhook
      type: object
    paginated_response:
      properties:
        next_page_token:
          description: >-
            If returned, use the next_page_token to query for the next page of
            results. Not returned if there are no more rows.
          example: a8937a0d
          type: string
      title: Paginated List response
      type: object
    error:
      description: >-
        Synctera error responses in API v0 follow [RFC
        7807](https://datatracker.ietf.org/doc/html/rfc7807). Following that
        standard, the field for a machine-readable "error code" in API v0 is
        `type`.

        In our future API v1, we are phasing out RFC 7807 and adopting a custom
        error format. That format will be documented in our API v1 spec. But you
        may see some v0 error responses with a machine-readable `code` field
        while we are making the transition from v0 to v1.
      properties:
        code:
          description: >-
            An optional “sneak preview” of our future API v1 error responses.
            This is provided to give integrators a chance to work with our
            future error codes. Error codes for the same error may change
            between v0 and v1.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'missing required fields: first_name, dob'
          type: string
        status:
          description: the HTTP status code for this response
          example: 400
          type: integer
        title:
          description: >
            A human-readable string for this general category of error, which
            corresponds 1-to-1 with error types (`title` is the human-readable
            version of `type`). There can be multiple distinct titles for the
            same HTTP status code, and the same `title` can result in many
            different `detail` strings.

            This field will be removed in API v1.
          example: Bad Request Body
          type: string
        type:
          description: >
            A machine-readable string that identifies the error for programmatic
            use. This is a URI, i.e. a globally unique identifier. It is _not_
            necessarily a URL, so do not expect it to resolve to a web page. You
            can use this whole string as an error code, or just everything after
            the last slash.

            This field will be removed in API v1.
          example: https://dev.synctera.com/errors/bad-request-body
          type: string
      title: Standard error response (RFC 7807 problem report)
      type: object
    event_type:
      oneOf:
        - $ref: '#/components/schemas/event_type_wildcard'
        - $ref: '#/components/schemas/event_type_explicit'
    tenant_id:
      description: >
        The id of the tenant containing the resource. This is relevant for
        Fintechs that have multiple workspaces.
      example: abcdef_ghijkl
      type: string
    event_type_wildcard:
      enum:
        - ACCOUNT.*
        - ACH.*
        - APPLICATION.*
        - BUSINESS.*
        - CARD.*
        - CASE.*
        - CASH_PICKUP.*
        - CREDIT_SCORE.*
        - CRR.*
        - CUSTOMER.*
        - DOCUMENT.*
        - DOCUMENT_VERIFICATION_SESSION.*
        - EDD.*
        - EXTERNAL_CARD.*
        - EXTERNAL_CARD_TRANSFER.*
        - INTEREST.*
        - INTERNAL_TRANSFER.*
        - NOTE.*
        - PAYMENT_SCHEDULE.*
        - PERSON.*
        - RESOURCE_MAPPING.*
        - SPEND_CONTROL.*
        - STATEMENT.*
        - TRANSACTION.*
      type: string
    event_type_explicit:
      description: All the webhook event types
      enum:
        - ACCOUNT.CREATED
        - ACCOUNT.UPDATED
        - ACH.INCOMING.FUTURE_DATED
        - ADDRESS.CREATED
        - ADDRESS.UPDATED
        - APPLICATION.CREATED
        - APPLICATION.UPDATED
        - BUSINESS.CREATED
        - BUSINESS.UPDATED
        - BUSINESS.VERIFICATION_OUTCOME.UPDATED
        - CARD.CREATED
        - CARD.DIGITALWALLETTOKEN.CREATED
        - CARD.DIGITALWALLETTOKEN.UPDATED
        - CARD.IMAGE.UPDATED
        - CARD.THREE_DS.AUTHENTICATION
        - CARD.THREE_DS.DECISION
        - CARD.UPDATED
        - CASE.CREATED
        - CASE.UPDATED
        - CASH_PICKUP.CREATED
        - CASH_PICKUP.UPDATED
        - CREDIT_SCORE.CREATED
        - CRR.CREATED
        - CUSTOMER.CREATED
        - CUSTOMER.KYC_OUTCOME.UPDATED
        - CUSTOMER.UPDATED
        - DOCUMENT.CREATED
        - DOCUMENT.DELETED
        - DOCUMENT.RETRIEVED
        - DOCUMENT.UPDATED
        - DOCUMENT_VERIFICATION_SESSION.CREATED
        - DOCUMENT_VERIFICATION_SESSION.UPDATED
        - EDD.CREATED
        - EDD.DELETED
        - EXTERNAL_CARD.CREATED
        - EXTERNAL_CARD.DELETED
        - EXTERNAL_CARD.UPDATED
        - EXTERNAL_CARD_TRANSFER.CREATED
        - EXTERNAL_CARD_TRANSFER.UPDATED
        - INTEREST.MONTHLY_PAYOUT
        - INTERNAL_ACCOUNT.CREATED
        - INTERNAL_ACCOUNT.UPDATED
        - INTERNAL_TRANSFER.SUCCEEDED
        - NOTE.CREATED
        - NOTE.UPDATED
        - PAYMENT_SCHEDULE.CREATED
        - PAYMENT_SCHEDULE.PAYMENT.CREATED
        - PAYMENT_SCHEDULE.UPDATED
        - PERSON.CREATED
        - PERSON.UPDATED
        - PERSON.VERIFICATION_OUTCOME.UPDATED
        - RESOURCE_MAPPING.CREATED
        - RESOURCE_MAPPING.DELETED
        - RESOURCE_MAPPING.UPDATED
        - SPEND_CONTROL.CREATED
        - SPEND_CONTROL.UPDATED
        - SPEND_CONTROL.VIOLATED
        - STATEMENT.CREATED
        - TRANSACTION.PENDING.CREATED
        - TRANSACTION.PENDING.UPDATED
        - TRANSACTION.POSTED.CREATED
        - TRANSACTION.POSTED.UPDATED
      type: string
  responses:
    unauthorized:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    internal_server_error:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````